#!/bin/bash

# Link to the binary
ln -sf '/opt/${productFilename}/${executable}' '/usr/bin/${executable}'

# SUID chrome-sandbox for Electron 5+
chmod 4755 '/opt/${productFilename}/chrome-sandbox' || true

# Desktop Entry for Send To Context

cat > "/usr/share/Thunar/sendto/${productFilename}.desktop" << END
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
TryExec=${executable}
Exec=${executable} %u
Name=Oyun Parkı
Icon=oyun-parki
END

update-mime-database /usr/share/mime || true
update-desktop-database /usr/share/applications || true